<?php

class core_library_response{

	public $headers = array();

	public $response = null;
	
	public function __construct(){
	
		$response = ob_start();

		if(!$response):

			throw new Exception('Error al activar el almacenamiento de búfer de salida');

		endif;
		
	}

	public function setHeader($name, $value){

		$this->headers[] = array(
			"name" => $name,
			"value" => $value,
		);

	}

	public function setRedirect($url){

		header('Location: '.$url);
		
		exit;

	}	

	public function setResponse($reponse){

		$this->response = $reponse;

	}
	
	public function sendHeaders(){

		if(count($this->headers)):

			foreach($this->headers as $header):

				header($header['name'] . ': ' . $header['value']);

			endforeach;

		endif;

	}

	public function sendResponse(){
	
		if(headers_sent()):
		
			throw new Exception('Se esta enviando una respuesta antes');
			exit;
			
		endif;

		$this->sendHeaders();

		echo $this->response;

	}

}