<?php

class controllers_index extends library_controller{

	public function IndexAction(){

		
		$this->render('index');
	
	}
	
	public function notfoundAction(){

		$this->render('notfound');

	}
	
	public function loginpostAction(){
		
		$data = $this->getPost('form');
		
		if($data):
			
			try{
			
				$model = new models_usuario();
			
				if(!$model->existe($data['numero_documento'])):
					
					$this->addMessage('No te encuentras registrado');
			
					$this->redirect('');
				
					return;
				
				endif;
				
				$model->login($data['numero_documento']);
				
				$postal = $model->getPostal();
				
				if($postal->estado == 1):
					
					$this->redirect('postal/ver');
				
				else:
				
					$this->redirect('postal');
				
				endif;
				
				
				return;
				
			}catch(Exception $e){
			
				$this->addMessage($e->getMessage());
			
				$this->redirect('');
				
				return;
			
			}

		endif;
		
		$this->addMessage('Por favor llena todos los campos');
		
		$this->redirect('');
		
		return;
	
	}
	
	public function registropostAction(){
	
		$data = $this->getPost('form');
		
		if($data):
			
			try{
			
				$model = new models_usuario();
			
				if($model->existe($data['numero_documento'])):
					
					$this->addMessage('Ya te encuentras registrado');
			
					$this->redirect('');
				
					return;
				
				endif;

				$data['terminos'] = isset($data['terminos']) ? $data['terminos'] : '2';
				
				$data['promociones'] = isset($data['promociones']) ? $data['promociones'] : '2';
				
				$model->crear($data);
				
				$model->crearPostal($data['numero_documento']);
				
				$model->login($data['numero_documento']);
				
				$this->redirect('postal');
				
				return;
				
			}catch(Exception $e){
			
				$this->addMessage($e->getMessage());
			
				$this->redirect('');
				
				return;
			
			}

		endif;
		
		$this->addMessage('Por favor llena todos los campos');
		
		$this->redirect('');
		
		return;
	
	}
	
}