<?php

class library_controller{

	public $request = null;
	
	public $response = null;

	function __construct($app){
	
		$this->application = $app;

	}

	public function getPost($var = null) {

		$method = $_SERVER["REQUEST_METHOD"];

		if ($method != "POST"):

			return false;

		endif;

		if ($var == null):

			$post = $_POST;

			return $post;

		endif;

		$exist = isset($_POST[$var]);

		if ($exist):

			return $_POST[$var];

		endif;

		return false;

	}
	
	function getParam($var, $default = null){
	
		$param = $this->application->getParam($var, $default);
		
		return $param;

	}

	function render($view){
	
		$this->view = $view;
		
		require_once APP_PATH.DS.'views'.DS.'header.php';
		
		require_once APP_PATH.DS.'views'.DS.$view.'.php';
		
		require_once APP_PATH.DS.'views'.DS.'footer.php';
		
	}
	
	public function getPart($view){
	
		require_once APP_PATH.DS.'views'.DS.$view.'.php';
	
	}

	public function redirect($path){
		
		$url = $this->getUrl($path);
		
		header('Location: '.$url);
		
		exit;

	}

	public function getUrl($request = null, array $params = null, $https = false) {

		$url = $this->application->getWebUrl($https);

		if ($request != null):

			$url = $url . $request;

		endif;

		if ($params != null):

			$_params = $this->application->paramsToUrl($params);

			$url = $url . '/' . $_params;

		endif;

		return $url;
	
	}
	
	public function addMessage($message){
	
		$_SESSION['message'] = $message;
		
		return;
	
	}
	
	public function getMessage(){
	
		$exist = isset($_SESSION['message']);
		
		if($exist):
		
			$message = $_SESSION['message'];
			
			unset($_SESSION['message']);
			
			return $message;
		
		endif;
		
		return false;
	
	}
	
	public function getKey(){
		
		$key = time();
		
		return $key;
	
	}

}