<?php

Class library_resize{

	private $image;
	
	private $width;
	
	private $height;
	
	private $imageResized;

	function __construct($file, $dedo){

		$this->image = $this->openImage($file);
		
		$this->dedo = $dedo;

	}

	private function openImage($file){

		$extension = strtolower(strrchr($file, '.'));

		switch($extension)
		{
			case '.jpg':
			case '.jpeg':
				$img = @imagecreatefromjpeg($file);
				break;
			case '.gif':
				$img = @imagecreatefromgif($file);
				break;
			case '.png':
				$img = @imagecreatefrompng($file);
				break;
			default:
				$img = false;
				break;
		}
		return $img;
	}

	public function resize($new_width){
	
		$this->width  = imagesx($this->image);

		$this->height = imagesy($this->image);

		$new_height = $new_width / $this->width * $this->height; 
                //echo $new_width . " === " . $new_height;
                
                $new_width = $new_width <= 0 ? 75 : $new_width;
                
                $new_height = $new_height <= 0 ? 75 : $new_height;
                
		$this->image_resized = imagecreatetruecolor($new_width, $new_height);
		
		imagecopyresampled($this->image_resized, $this->image, 0, 0, 0, 0, $new_width, $new_height, $this->width, $this->height);

		$model = new models_usuario();
		
		$usuario = $model->getLoggedUsusario();
		
		$documento = $usuario->numero_documento;
		
		$extension = strtolower(strrchr($this->dedo['imagen'], '.'));
		
		$imagen_nombre = APP_PATH.DS.'tmp'.DS.'tmp_'.$documento.'_'.$this->dedo['activo'].'_resize'.$extension;

		imagejpeg($this->image_resized, $imagen_nombre, 100);
		
		return $imagen_nombre;

	}

}
