<?php

class models_usuario extends library_model{
	
	public function existe($documento){
		
		$query = "SELECT * FROM usuarios WHERE numero_documento = '".$documento."';";		
	
		if($this->getRow($query)):
			
			return true;
			
		endif;
	
		return false;
		
	}
	
	public function getUsuarios(){
	
		$query = "SELECT * FROM usuarios;";
		
		$usuarios = $this->getRows($query);
		
		if($usuarios):
			
			return $usuarios;
			
		endif;
	
		return false;
	
	}
	
	public function getUsuario($documento){
	
		$query = "SELECT * FROM usuarios WHERE numero_documento = '".$documento."';";
		
		$usuario = $this->getRow($query);
		
		if($usuario):
			
			return $usuario;
			
		endif;
	
		return false;
	
	}
	
	public function getRanking($page = null){
	
		$limit = 10;
		
		$limit_start = ($page - 1) * $limit;
	
		$query = "SELECT `usuarios`.* , (SELECT COUNT(*) FROM invitaciones WHERE `invitaciones`.`usuario` = `usuarios`.`numero_documento`) AS `puntos` 
		FROM usuarios ORDER BY puntos DESC, `id_usuario` ASC ";
		
		if($page != null):
		
			$query .= "LIMIT ".$limit_start." , ".$limit.";";
	
		endif;
	
		$ranking = $this->getRows($query);
		
		if($ranking):
			
			return $ranking;
			
		endif;
	
		return false;
	
	}
	
	public function crear($data){
		
		$query = "INSERT INTO usuarios (nombres, apellidos, tipo_documento, numero_documento, correo, ciudad, terminos, promociones, fecha) VALUES(
		'".$data['nombres']."',
		'".$data['apellidos']."',
		'".$data['tipo_documento']."',
		'".$data['numero_documento']."',
		'".$data['correo']."',
		'".$data['ciudad']."',
		'".$data['terminos']."',
		'".$data['promociones']."',
		'".date( 'Y-m-d H:i:s')."');";
		
		$result = $this->query($query);
	
		if(!$result):
			
			throw new Exception('Error al crear el usuario');
			
		endif;
		
		return true;
	
	}
	
	public function crearPostal($numero_documento){
	
		$query = "INSERT INTO postal (estado, fecha, usuario) VALUES(
		'2',
		'".date( 'Y-m-d H:i:s')."',
		'".$numero_documento."');";
		
		$result = $this->query($query);
	
		if(!$result):
			
			throw new Exception('Error al crear la postal');
			
		endif;
		
		return true;
	
	}
	
	public function guardarPostal($documento){
	
		$query = "UPDATE postal SET estado = '1' WHERE usuario = '".$documento."';";
		
		$result = $this->query($query);
	
		if(!$result):
			
			throw new Exception('Error al guardar la postal');
			
		endif;
		
		return true;
	
	}
	
	public function guardarInvitacion($para, $tipo, $numero_documento){
	
		$query = "INSERT INTO invitaciones (para, tipo, usuario, fecha) VALUES(
		'".$para."',
		'".$tipo."',
		'".$numero_documento."',
		'".date( 'Y-m-d H:i:s')."');";
		
		$result = $this->query($query);
	
		if(!$result):
			
			throw new Exception('Error al guardar la invitación');
			
		endif;
		
		return true;
	
	}
	
	public function actualizarDedo($nombre, $dedo, $documento){
	
		$query = "UPDATE postal SET dedo_".$dedo." = '".$nombre."' WHERE usuario = '".$documento."';";
		
		$result = $this->query($query);
	
		if(!$result):
			
			return false;
			
		endif;
		
		return true;
	
	}
	
	public function login($documento){
		
		$usuario = $this->getUsuario($documento);
		
		if(!$usuario):
			
			throw new Exception('Error al continuar, por favor intenta de nuevo');
			
		endif;

		$_SESSION['usuario'] = $usuario;
		
		return;
	
	}
	
	public function getLoggedUsusario(){
	
		$existe = isset($_SESSION['usuario']);
	
		if($existe):
		
			return $_SESSION['usuario'];
		
		endif;
		
		return false;
	
	}
	
	public function getExcludeIds(){

		$usuario = $this->getLoggedUsusario();
		
		$documento = $usuario->numero_documento;	
		
		$query = "SELECT * FROM invitaciones WHERE usuario = '".$documento."' AND tipo = 'facebook_request';";
		
		$rows = $this->getRows($query);
		
		if($rows):
		
			foreach($rows as $row):
			
				$exclude[] = $row->para;
			
			endforeach;
				
			$excludes = implode(",",$exclude);
			
			return $excludes;
			
		endif;
	
		return false;		
		
	}
	
	public function getPostal($id = null){
	
		if($id == null):
		
			$usuario = $this->getLoggedUsusario();
		
			$documento = $usuario->numero_documento;
		
		else:

			$documento = $id;
		
		endif;
		
		$query = "SELECT * FROM postal WHERE usuario = '".$documento."';";
		
		$postal = $this->getRow($query);
		
		if($postal):
			
			return $postal;
			
		endif;
	
		return false;
		
	
	}
	
	public function getBuscarRanking($value){
	
		$query = "SELECT * FROM usuarios WHERE nombres LIKE '%".$value."%';";
		
		$usuarios = $this->getRows($query);
		
		if($usuarios):
			
			return $usuarios;
			
		endif;
	
		return false;
	
	}
	
}