<div class="crear-postal">
	<div class="welcome">
		<p class="subtitle">hola <?php echo $this->usuario->nombres; ?>,</p>
		<div class="divider"></div>
		<p>Da clic sobre cada dedo dentro de la foto, selecciona la</p>
		<p>foto que deseas usar, tuya o de tus amigos y personaliza</p>
		<p>tu postal, luego gu&aacute;rdala y compártela.</p>
		<form method="post" action="<?php echo $this->getUrl('postal/guardarpostal'); ?>" id="postalForm" name="postalForm">
		<p class="btn_mecanica"><a class="dialog-compartir" id="postal_enviar" href="#compartir"><img src="<?php echo $this->getUrl('images/btn_guardar_compartir.png'); ?>" alt="Mecanica" /></a></p>
		<input type="hidden" name="form[dedo_1]" id="postal_dedo_1" value="<?php echo $this->getDedo(1, true); ?>" />
		<input type="hidden" name="form[dedo_2]" id="postal_dedo_2" value="<?php echo $this->getDedo(2, true); ?>" />
		<input type="hidden" name="form[dedo_3]" id="postal_dedo_3" value="<?php echo $this->getDedo(3, true); ?>" />
		<input type="hidden" name="form[dedo_4]" id="postal_dedo_4" value="<?php echo $this->getDedo(4, true); ?>" />
		</form>
	</div>
	<div class="postal">
		<div class="postal-bg"></div>
		<div class="images-bg"></div>
		<div class="dedo1"><?php echo $this->getDedo(1); ?></div>
		<div class="dedo2"><?php echo $this->getDedo(2); ?></div>
		<div class="dedo3"><?php echo $this->getDedo(3); ?></div>
		<div class="dedo4"><?php echo $this->getDedo(4); ?></div>
		<a id="dedo-1" class="dedo dedo-1" href="#edicion-dedo"></a>
		<a id="dedo-2" class="dedo dedo-2" href="#edicion-dedo"></a>
		<a id="dedo-3" class="dedo dedo-3" href="#edicion-dedo"></a>
		<a id="dedo-4" class="dedo dedo-4" href="#edicion-dedo"></a>
	</div>
</div>


<div style="display:none;">
<div id="edicion-dedo" class="edicion-dedo">
	<div class="edicion-content">
		<div class="title">
			<div style="float:left;">
			<h2>Edici&oacute;n de foto</h2>
			<p>Personaliza tus dedos y arma tu celebraci&oacute;n</p>
			</div>
			<div class="dialog-close" style="float:right;"><a href="javascript:;" onclick="jQuery.fancybox.close();">Cerrar<div style="float:right; margin-left:6px;"><img src="<?php echo $this->getUrl('images/cerrar.png'); ?>"></div></a></div>
		</div>
		<div class="divider"></div>	
		<div class="editor">
			<div id="editor-imagen" class="imagen"></div>
			<div class="selector">
				<p>Sube tu foto desde el computador</p>
				<div class="uploader">
					<div id="qq-uploader" class="uploader-wrp"></div>
					<!--<div class="upload-btn">
						<button id="qq-uploader-btn" type="button"><span>Subir</span></button>
					</div>-->

				</div>
				
				<div>
				<ul class="qq-upload-list" style="margin-top: 10px; text-align: center;">
				</div>
				
				<div class="facebook">
					<button id="editor_facebook" type="button"><span>Facebook</span></button>
				</div>
				
				<div class="buttons">
					<div  id="editor-preview" class="preview"></div>
					<button id="guardar-imagen" type="button"><span>Aceptar</span></button>
				</div>
			</div>
		</div>
		<form method="post" action="<?php echo $this->getUrl('postal/dedo'); ?>" id="dedoForm" name="dedoForm">
			<input type="hidden" id="dedo_activo" name="dedo[activo]" value="" />
			<input type="hidden" id="dedo_tipo" name="dedo[tipo]" value="" />
			<input type="hidden" id="dedo_imagen" name="dedo[imagen]" value="" />
			<input type="hidden" id="dedo_imagen_w" name="dedo[imagen_w]" value="" />
			<input type="hidden" id="dedo_imagen_h" name="dedo[imagen_h]" value="" />
			<input type="hidden" id="dedo_x" name="dedo[x]" value="" />
			<input type="hidden" id="dedo_y" name="dedo[y]" value="" />
			<input type="hidden" id="dedo_w" name="dedo[w]" value="" />
			<input type="hidden" id="dedo_h" name="dedo[h]" value="" />
		</form>
</div>

</div>
</div>

<?php $this->getPart('facebook'); ?>

<script type="text/javascript">
FB.init({
	appId : '<?php echo APP_ID; ?>',
	status : true,
	cookie : true,
	xfbml : true
});
jQuery(function(){
	jQuery(".dialog-compartir").fancybox({
		'padding' : 0,
		'autoSize' : false,
		'autoHeight' : false,
		'autoWidth' : false,
		'width' : 630,
		'height' : 290,
		'aspectRatio' : false,
		'autoResize' : false,
		'scrolling' : 'no',
		afterShow: function(){
		
			// compartir en facebook
			jQuery(".btn_facebook").click(function(){
				FB.ui({
					method: 'apprequests',
					message: 'Comparte tu postal para aumentar tu posición en el ranking y tus posibilidades de ganar!',
					exclude_ids: '<?php echo $this->getExcludeIds(); ?>',
				}, function(response){
					if(response){
						if (response.request && response.to) {
							var request_ids = [];
							for(i=0; i<response.to.length; i++) {
								var temp = response.to[i];
								request_ids.push(temp);
							}
							var requests = request_ids.join(',');
							jQuery.post('<?php echo $this->getUrl('postal/compartirfacebook'); ?>',{
								request_ids: requests
							},function(resp) {
								FB.ui({
									method: 'feed',
									link:'<?php echo $this->getUrl($this->getDocumento()); ?>',
									name: 'Aniversario LAN',
									caption: "Recuerdo de la celebración!!!",
									description : 'LAN cumple 10 años transportando sueños Ecuatorianos por el mundo, y he creado una postal de celebración de su aniversario.',
									picture: '<?php echo $this->getUrl('images/lan_aniversario.jpg',null, true); ?>'
								},function(response){
									jQuery.post('<?php echo $this->getUrl('postal/compartirtfacebookfeed'); ?>',{
									},function(resp) {
									});
								});
							});
						}
					}
				});
			});
			// compartir en twitter
			jQuery(".btn_twitter").click(function(){
				var urlshare = '<?php echo $this->getUrl($this->getDocumento()); ?>';
				var copy = 'LAN cumple 10 años y he creado una postal celebrando su aniversario.';
				var hash = 'LANaniversario';
				var twlink = 'https://twitter.com/intent/tweet?text='+encodeURI(copy)+'&url='+encodeURI(urlshare)+'&hashtags='+hash;
				jQuery.post('<?php echo $this->getUrl('postal/compartirtwitter'); ?>',{

				},function(resp) {
				});
				window.open(twlink, 'Comparte', '');
				
			});
			
			jQuery("#formEmail").validate({
				errorPlacement: function(error, element) {
					jQuery(element).prev().css('color', '#CC0000');
				},
				unhighlight: function( element, errorClass, validClass ) {
					jQuery(element).prev().css('color', '#444444');	
					jQuery(element).removeClass(errorClass).addClass(validClass);
				}
			});
			
			
		}
	});
	jQuery("#postal_enviar").click(function(){
		dedo_1 = jQuery("#postal_dedo_1").val();
		if(dedo_1 == ""){
			jQuery.fancybox('<div class="alert"><div class="alert-content"><div class="title"><h2>Error</h2></div><div class="divider"></div><p>Por favor escoja la imagen para el dedo 1</p><p class="buttons"><a onclick="jQuery.fancybox.close();" class="aceptar" href="javascript:;"><img src="<?php echo $this->getUrl('images/btn_continuar.jpg'); ?>" /></a></p></div></div>',{
				width: 354, maxWidth: 354, autoSize: false, autoWidth: false, autoHeight: true, padding: 0, scrolling : 'no' });
			return false;
		}
		dedo_2 = jQuery("#postal_dedo_2").val();
		if(dedo_2 == ""){
			jQuery.fancybox('<div class="alert"><div class="alert-content"><div class="title"><h2>Error</h2></div><div class="divider"></div><p>Por favor escoja la imagen para el dedo 2</p><p class="buttons"><a onclick="jQuery.fancybox.close();" class="aceptar" href="javascript:;"><img src="<?php echo $this->getUrl('images/btn_continuar.jpg'); ?>" /></a></p></div></div>',{
				width: 354, maxWidth: 354, autoSize: false, autoWidth: false, autoHeight: true, padding: 0, scrolling : 'no' });
			return false;
		}
		dedo_3 = jQuery("#postal_dedo_3").val();
		if(dedo_3 == ""){
			jQuery.fancybox('<div class="alert"><div class="alert-content"><div class="title"><h2>Error</h2></div><div class="divider"></div><p>Por favor escoja la imagen para el dedo 3</p><p class="buttons"><a onclick="jQuery.fancybox.close();" class="aceptar" href="javascript:;"><img src="<?php echo $this->getUrl('images/btn_continuar.jpg'); ?>" /></a></p></div></div>',{
				width: 354, maxWidth: 354, autoSize: false, autoWidth: false, autoHeight: true, padding: 0, scrolling : 'no' });
			return false;
		}
		dedo_4 = jQuery("#postal_dedo_4").val();
		if(dedo_4 == ""){
			jQuery.fancybox('<div class="alert"><div class="alert-content"><div class="title"><h2>Error</h2></div><div class="divider"></div><p>Por favor escoja la imagen para el dedo 4</p><p class="buttons"><a onclick="jQuery.fancybox.close();" class="aceptar" href="javascript:;"><img src="<?php echo $this->getUrl('images/btn_continuar.jpg'); ?>" /></a></p></div></div>',{
				width: 354, maxWidth: 354, autoSize: false, autoWidth: false, autoHeight: true, padding: 0, scrolling : 'no' });
			return false;
		}
		var data = jQuery("#postalForm").serialize();
		jQuery.ajax({
			'url' : '<?php echo $this->getUrl('postal/guardarpostal'); ?>',
			'type' : 'POST',
			'dataType' : 'json',
			'data' : data,
			'success' : function(response){
				if(response.type == 'error'){
					jQuery.fancybox('<div class="alert"><div class="alert-content"><div class="title"><h2>Error</h2></div><div class="divider"></div><p>'+ response.message +'</p><p class="buttons"><a onclick="jQuery.fancybox.close();" class="aceptar" href="javascript:;"><img src="<?php echo $this->getUrl('images/btn_continuar.jpg'); ?>" /></a></p></div></div>',{
						width: 354, maxWidth: 354, autoSize: false, autoWidth: false, autoHeight: true, padding: 0, scrolling : 'no' 
					});
					return false;
				}else if(response.type == 'success'){
				}
			}
		});
		
	});

	jQuery(".dedo").on("click",function(){
		id = jQuery(this).attr("id");
		var n = id.split("-");
		jQuery("#dedo_activo").val(n[1]);
	});
	jQuery(".dedo").fancybox({
		'padding' : 0,
		'autoSize' : false,
		'autoHeight' : false,
		'autoWidth' : false,
		'width' : 630,
		'height' : 299,
		'aspectRatio' : false,
		'autoResize' : false,
		'scrolling' : 'no',
		afterShow: function(){
			var uploader = new qq.FineUploader({
				element: document.getElementById('qq-uploader'),
				autoUpload: true,
				text: {
					uploadButton: 'Examinar ...',
					cancelButton: 'Cancelar',
					retryButton: 'Reintentar',
					deleteButton: 'Borrar',
					failUpload: 'Error'
				},
				multiple: false,
				 request: {
					endpoint: '<?php echo $this->getUrl('postal/uploader'); ?>',
					params: { dedo : jQuery("#dedo_activo").val() }
				},
				 callbacks: {
					onComplete: function(id, fileName, response) {
						jQuery("#editor-imagen").empty();
						jQuery("#editor-preview").empty();
						var img = jQuery('<img>');
						img.attr('src', '<?php echo $this->getUrl('tmp/');?>' + response.filename);
						img.appendTo('#editor-imagen');
						var preview = jQuery('<img>');
						preview.attr('src', '<?php echo $this->getUrl('tmp/');?>' + response.filename);
						preview.attr('id', 'preview');
						preview.appendTo('#editor-preview');
						jQuery('#editor-imagen').Jcrop({
							onChange: showPreview,
							onSelect: showPreview,
                                                        setSelect:   [ 50, 50, 0, 0 ],
							aspectRatio: 1
						});
                                                
						jQuery("#dedo_imagen").val(response.filename);
						jQuery("#dedo_tipo").val('uploader');
					}
				}
			});
			jQuery("#editor_facebook").click(function(){
				jQuery("#dedo_tipo").val('facebook');
				facebookGetImages();
			});
			jQuery('#qq-uploader-btn').click(function(){
				jQuery("#dedo_tipo").val('uploader');
				uploader.uploadStoredFiles();
			});
			jQuery('#guardar-imagen').click(function(){
				jQuery('#dedoForm').submit();
			});
		}
	});
});

function facebookGetImages(){
	FB.getLoginStatus(function(response) {
		if (response.status === 'connected'){
			fbphotoSelect();
		}else if(response.status === 'not_authorized'){
			facebookLogin();
		}else{
			facebookLogin();
		}
	});
	return status;
}

function facebookLogin(){
	FB.login(function(response){
		if (response.authResponse){
			facebookGetImages();
		}
	},{
		scope: 'publish_actions,user_photos' 
	});
}

function setImagenFacebook(photo){
	jQuery("#editor-imagen").empty();
	jQuery("#editor-preview").empty();
	var img = jQuery('<img>');
	img.attr('src', photo.source);
	img.appendTo('#editor-imagen');
	var preview = jQuery('<img>');
	preview.attr('src', photo.source);
	preview.attr('id', 'preview');
	preview.appendTo('#editor-preview');
	activo = jQuery("#dedo_activo").val();
	if(activo == 1){
		var w = 62;
		var h = 63;		
	}else if(activo == 2){
		var w = 73;
		var h = 77;
	}else if(activo == 3){
		var w = 66;
		var h = 83;
	}else if(activo == 4){
		var w = 73;
		var h = 85;
	}
	jQuery('#editor-imagen').Jcrop({
		onChange: showPreview,
		onSelect: showPreview,
		setSelect:   [ 50, 50, w, h ],
		aspectRatio: w / h
	});
	jQuery("#dedo_imagen").val(photo.source);
}
function showPreview(coords){
	activo = jQuery("#dedo_activo").val();
	if(activo == 1){
		var w = 61;
		var h = 63;		
	}else if(activo == 2){
		var w = 73;
		var h = 77;
	}else if(activo == 3){
		var w = 66;
		var h = 83;
	}else if(activo == 4){
		var w = 73;
		var h = 85;
	}
	jQuery("#editor-preview").css({
		width: w + 'px',
		height: h + 'px'
	});
	var rx = w / coords.w;
	var ry = h / coords.h;
	var width = Math.round(rx * jQuery('#editor-imagen img').width()) + 'px';
	var height = Math.round(ry * jQuery('#editor-imagen img').height()) + 'px';
	jQuery('#preview').css({
		width: width,
		height: height,
		marginLeft: '-' + Math.round(rx * coords.x) + 'px',
		marginTop: '-' + Math.round(ry * coords.y) + 'px'
	});
	jQuery('#dedo_imagen_w').val(width);
	jQuery('#dedo_imagen_h').val(height);
	jQuery('#dedo_w').val(w);
	jQuery('#dedo_h').val(h);
	jQuery('#dedo_x').val(Math.round(rx * coords.x));
	jQuery('#dedo_y').val(Math.round(ry * coords.y)-15);
}

fbphotoSelect = function(id) {
	var buttonOK = jQuery('#CSPhotoSelector_buttonOK');
	if (!id) id = 'me';
	callbackAlbumSelected = function(albumId) {
		var album, name;
		album = CSPhotoSelector.getAlbumById(albumId);
		selector.showPhotoSelector(null, album.id);
	};
	callbackAlbumUnselected = function(albumId) {
		var album, name;
		album = CSPhotoSelector.getAlbumById(albumId);
	};
	callbackPhotoSelected = function(photoId) {
		var photo;
		photo = CSPhotoSelector.getPhotoById(photoId);
		buttonOK.show();
	};
	callbackPhotoUnselected = function(photoId) {
		var photo;
		album = CSPhotoSelector.getPhotoById(photoId);
		buttonOK.hide();
	};
	callbackSubmit = function(photoId) {
		var photo;
		photo = CSPhotoSelector.getPhotoById(photoId);
		setImagenFacebook(photo);
	};
	CSPhotoSelector.init({debug: false});
	selector = CSPhotoSelector.newInstance({
		callbackAlbumSelected	: callbackAlbumSelected,
		callbackAlbumUnselected	: callbackAlbumUnselected,
		callbackPhotoSelected	: callbackPhotoSelected,
		callbackPhotoUnselected	: callbackPhotoUnselected,
		callbackSubmit			: callbackSubmit,
		maxSelection			: 1,
		albumsPerPage			: 6,
		photosPerPage			: 200,
		autoDeselection			: true
	});
	selector.reset();
	selector.showAlbumSelector(id);
}

</script>
